%define name python-gtksourceview
%define version 2.4.0
%define release %mkrel 1
%define oname pygtksourceview

Summary: Gtksourceview bindings for Python
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.gnome.org/sources/%oname/%{oname}-%{version}.tar.bz2
License: LGPLv2+
Group: Development/Python
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtksourceview-devel >= 2.3.0
BuildRequires: pygtk2.0-devel
BuildRequires: libxslt-proc docbook-style-xsl

%description
These are the python bindings for the version 2 of the
GtkSourceView library.

%package devel
Group: Development/Python
Summary: Files required to build applications with %name
Requires: %name = %version

%description devel
These are the python bindings for the version 2 of the
GtkSourceView library.


%prep
%setup -q -n %oname-%version

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%py_platsitedir/gtksourceview2.la
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS AUTHORS
%py_platsitedir/gtksourceview2.so

%files devel
%defattr(-,root,root)
%doc ChangeLog
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/pygtksourceview2/
%_datadir/pygtk/2.0/defs/gtksourceview2.defs


%changelog
* Sat Sep 20 2008 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2009.0
+ Revision: 286117
- new version

* Mon Aug 11 2008 Götz Waschk <waschk@mandriva.org> 2.3.0-1mdv2009.0
+ Revision: 270641
- new version
- bump deps
- update license

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.0-2mdv2009.0
+ Revision: 225131
- rebuild

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 183502
- new version
- bump deps

* Tue Feb 05 2008 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdv2008.1
+ Revision: 162645
- new version
- bump deps

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 2.1.0-1mdv2008.1
+ Revision: 156138
- disable parallel build
- fix buildrequires
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 89091
- new version
- bump dep

* Wed Sep 12 2007 Götz Waschk <waschk@mandriva.org> 1.90.5-1mdv2008.0
+ Revision: 84736
- new version
- bump deps

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 1.90.4-1mdv2008.0
+ Revision: 72605
- new version
- bump deps

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 1.90.3-1mdv2008.0
+ Revision: 57429
- new version
- fix module name
- bump deps

* Wed Jul 04 2007 Götz Waschk <waschk@mandriva.org> 1.90.2-1mdv2008.0
+ Revision: 47959
- new version
- bump deps

* Mon Jun 25 2007 Götz Waschk <waschk@mandriva.org> 1.90.1-1mdv2008.0
+ Revision: 44018
- Import python-gtksourceview



* Mon Jun 25 2007 Götz Waschk <waschk@mandriva.org> 1.90.1-1mdv2008.0
- initial package
